Subject: Re: [PATCH 4/4] net-next: dsa: fix flow dissection

From: Andrew Lunn <[email-masked]>
Date: Wed, 9 Aug 2017 15:55:08 +0200

On Wed, Aug 09, 2017 at 02:41:19PM +0200, John Crispin wrote:
> RPS and probably other kernel features are currently broken on some if not
> all DSA devices. The root cause of this is that skb_hash will call the
> flow_dissector. At this point the skb still contains the magic switch
> header and the skb->protocol field is not set up to the correct 802.3
> value yet. By the time the tag specific code is called, removing the header
> and properly setting the protocol an invalid hash is already set. In the
> case of the mt7530 this will result in all flows always having the same
> hash.
> 
> Signed-off-by: Muciri Gatimu <muciri-lv6y7wLVQPlWk0Htik3J/[email-masked]>
> Signed-off-by: Shashidhar Lakkavalli <shashidhar.lakkavalli-lv6y7wLVQPlWk0Htik3J/[email-masked]>
> Signed-off-by: John Crispin <[email-masked]>

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew